6.0.0-git
2021-01-18

[#9299] quoting of folder names when setting ACLs is broken
Summary quoting of folder names when setting ACLs is broken
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester Graeme.Wood (at) ed (dot) ac (dot) uk
Created 2010-10-07 (3756 days ago)
Due
Updated 2010-10-20 (3743 days ago)
Assigned 2010-10-07 (3756 days ago)
Resolved 2010-10-20 (3743 days ago)
Milestone 3.3.10
Patch No

History
2010-10-20 16:12:34 Michael Slusarz Comment #8
State ⇒ Resolved
Reply to this comment
I have no idea about the delay (I didn't originally write any of this 
ACL code, unfortunately).  I see there is a reference to Cyrus Murder 
and a delay.  Is that what you are using?

At best, though, that is a separate issue.  This issue has been resolved.
2010-10-20 10:41:57 Jan Schneider Summary ⇒ quoting of folder names when setting ACLs is broken
 
2010-10-20 10:14:12 Graeme (dot) Wood (at) ed (dot) ac (dot) uk Comment #7 Reply to this comment
Almost. It does set ACLs however there looks like there is a timing 
issue, as it returns a message to say it could not retrieve the ACL 
after it set it. If you then go and select the folder again and 
retrieve the ACL, it correctly displays.
2010-10-19 18:13:55 Michael Slusarz Comment #5
Assigned to Michael Slusarz
Priority ⇒ 2. Medium
Milestone ⇒ 3.3.10
Reply to this comment
Does this fix work?
2010-10-19 18:12:31 CVS Commit Comment #4 Reply to this comment
Changes have been made in CVS for this ticket:

Bug: 9299
Fix accessing IMAP ACLs that contain non-alphanumeric characters.
imap_*() methods don't require quoting of the mailbox name.
If we directly talk to IMAP server, always quote mailbox name (this is not
100% correct IMAP behavior either, but it is as good as we are going to
get in this library for Horde 3).
http://cvs.horde.org/diff.php/framework/IMAP/IMAP/ACL/Attic/rfc2086.php?rt=horder1=1.6.8.26r2=1.6.8.27ty=u
http://cvs.horde.org/diff.php/horde/docs/CHANGES?rt=horder1=1.515.2.629r2=1.515.2.630ty=u
2010-10-07 15:59:42 Graeme (dot) Wood (at) ed (dot) ac (dot) uk Comment #3 Reply to this comment
Possibly a duplicate of Bug #9058?
No it isn't. You can sort of get it working by hacking out the quoting 
code and then it will sort of work for folders with hyphens and 
underscores, so it has nothing to do with capability.
2010-10-07 15:53:00 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
Possibly a duplicate of Bug #9058?
2010-10-07 15:10:42 Graeme (dot) Wood (at) ed (dot) ac (dot) uk Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ quoting of folder names when setting ACLs is broken
Due ⇒ 2010-10-07
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
The upgrade to v3.3.9 of Horde has broken the setting of ACLs on 
folders with non-alphanumeric characters in their names. The ACL 
driver returns:

The current list of users with access to this folder could not be retrieved.

lib/Horde/IMAP/ACL/rfc2086.php has changed to use imap_setacl and 
imap_getacl instead of talking direct to the IMAP server. Something 
about quoting folder names is broken. Putting the older rfc2086.php 
from 3.3.8 back restores the function.

Saved Queries